# Generated from patience_diff-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name patience_diff

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A Ruby implementation of the Patience diff algorithm
License: MIT
URL: http://github.com/watt/ruby_patience_diff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.22
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
A Ruby implementation of the Patience diff algorithm.
Patience Diff creates more readable diffs than other algorithms in some cases,
particularly when much of the content has changed between the documents being
compared. There's a great explanation and example [here][example].
Patience diff was originally written by Bram Cohen and is used in the
[Bazaar][bazaar] version control system. This version is loosely based off the
Python implementation in Bazaar.
[example]: http://alfedenzo.livejournal.com/170301.html
[bazaar]: http://bazaar.canonical.com/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/patience_diff
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 1.2.0-1
- Initial package
